// @ts-nocheck
import styled from 'styled-components'
import logoImg from '../assets/images/logo.png'
import Nav from './Nav'

export default function Header () {
  return (
    <Wrapper>
      <LogoWrap>
        <Logo image={logoImg} />
        <LogoTitpeWrap>
          <LogoTitle type='main'>SW Lab</LogoTitle>
          <LogoTitle type='sub'>Bankware Global</LogoTitle>
        </LogoTitpeWrap>
      </LogoWrap>
      <Nav />
    </Wrapper>
  )
}

const Wrapper = styled.div`
    display: flex;
    align-items: center;
    height: 8.125rem;
    max-height: 8.125rem;
    padding: 1.875rem 0;
    margin: 0 5rem;
    background-color: rgba(0, 0, 0, 0);
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    z-index: 100;
    color: #fff;
`
const Logo = styled.div`
    margin-top: 4px;
    margin-right: 4px;
    width: 35px;
    height: 40px;
    background-image: url(${props => props.image});
    background-size: contain;
    background-repeat: no-repeat;
`
const LogoWrap = styled.div`
    display: flex;
    align-items: center;
    flex-grow: 1;
    width: 300px;
    height: 60px;
`
const LogoTitpeWrap = styled.div`
    display: flex;
    flex-direction: column;
`
const LogoTitle = styled.span`
    font-size: ${(props) => (props.type === 'main' ? '30px' : '14px')};
    font-weight: ${(props) => (props.type === 'main' ? 600 : 400)};
    margin-top: ${(props) => (props.type !== 'main' && '-4px')}
`
